Will it work on Android/Approved Devices?

Yes! SkyBell has both an Android app for SkyBell Classic and HD!

SkyBell Classic has been tested with and will work best on the following handsets:

•HTC One
•Samsung Galaxy S3
•Samsung Galaxy S4
•Nexus S

SkyBell HD app has been tested and approved for the following handsets:

•HTC One
•Samsung Galaxy S4, S5, S6 Edge+
•Nexus 5 and 6

Minimum required operating system is 4.4.1 KitKat

I don't have one of the approved Android devices. Will it work for me?

It is very likely that the app will still work great on your Android smartphone if it is not on the list. For example, members of our Tech Support Team have LG's and they work great. If you happen to find any bugs on your specific phone, please report the bug to us along with your phone model and Android software version number. Thank you!

Have more questions? Submit a request
Powered by Zendesk